if(NOT FFTW_ROOT_DIR)
    set(FFTW_ROOT_DIR ${EXTERN_LIB_DIR}/libfftw3)
endif(NOT FFTW_ROOT_DIR)

if(NOT FFTW_INCLUDE_DIR)
    set(FFTW_INCLUDE_DIR "${FFTW_ROOT_DIR}/include")
endif(NOT FFTW_INCLUDE_DIR)

if(NOT FFTW_INCLUDE_DIRS)
    set(FFTW_INCLUDE_DIRS "${FFTW_INCLUDE_DIR}")
endif(NOT FFTW_INCLUDE_DIRS)

if(NOT FFTW_LIBRARY)
    set(FFTW_LIBRARY "${FFTW_ROOT_DIR}/lib/msvc/fftw3.lib")
endif(NOT FFTW_LIBRARY)

if(NOT FFTW_LIBRARIES)
    set(FFTW_LIBRARIES "${FFTW_LIBRARY}")
endif(NOT FFTW_LIBRARIES)

if(NOT FFTW_DLL)
    set(FFTW_DLL "${FFTW_ROOT_DIR}/bin/x86/libfftw3-3.dll")
endif(NOT FFTW_DLL)
